Subject: GHCI fails to run for [email-masked]

From: Jacob MacDonald <[email-masked]>
Date: Mon, 9 Sep 2019 15:37:24 -0500

To reproduce, just guix environment --ad-hoc ghc -- ghci. [email-masked]
works. Seems like this may be related to some Prelude changes upstream
(https://gitlab.haskell.org/ghc/ghc/issues/16563), but I'm not
familiar enough with GHC internals to really tell what's going on.
Interestingly, when I try to run plain old GHC on some source files
with 8.6.5 I get another seemingly unrelated error:

    Bad interface file:
/gnu/store/8v1sn5ns7r5n02aip0b0ypyyzb2y1i1a-ghc-8.4.3/lib/ghc-8.4.3/base-4.11.1.0/Prelude.hi
            mismatched interface file versions (wanted "8065", got "8043")
      |
    1 | import Test.Hspec        (Spec, it, shouldBe)
      | ^

Again, I'm afraid I'm not entirely familiar with GHC internals and the
function of interfaces files. Nevertheless, it seems not all is well
in Guix-Haskell-land.